output "arn" {
  value = aws_sqs_queue.sqs_queue.arn
}

output "url" {
  value = aws_sqs_queue.sqs_queue.id
}

output "arn_dlq" {
  value = var.use_sqs_as_dlq ? "" : join("", aws_sqs_queue.deadletter_sqs_queue.*.arn)
}

output "url_dlq" {
  value = var.use_sqs_as_dlq ? "" : join("", aws_sqs_queue.deadletter_sqs_queue.*.id)
}

output "producer_policy" {
  value = var.enable_iam_policies ? aws_iam_policy.producer-policy[0].arn : ""
}

output "consumer_policy" {
  value = var.enable_iam_policies ? aws_iam_policy.consumer-policy[0].arn : ""
}
